osdir.com

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Openstack] [Cinder] Cinder New Tag Release



On 11/27/18 10:52 AM, iain MacDonnell wrote:
> 
> On 11/27/18 4:52 AM, Chhavi Agarwal wrote:
>> With the current tagged release of Openstack Cinder ( 13.0.1 ) 
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_openstack_cinder_releases_tag_13.0.1&d=DwICaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=RxYkIjeLZPK2frXV_wEUCq8d3wvUIvDPimUcunMwbMs&m=_-mGtryix-GE-7_xbOpH7F0ZS4jQxE3RJZ72LghieKQ&s=WMS_BqRFKcnhRVhLF7Etzpoinel262YhUoKvNL19508&e= 
>> we are hitting the below issue
>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__bugs.launchpad.net_cinder_-2Bbug_1796759&d=DwICaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=RxYkIjeLZPK2frXV_wEUCq8d3wvUIvDPimUcunMwbMs&m=_-mGtryix-GE-7_xbOpH7F0ZS4jQxE3RJZ72LghieKQ&s=N4sIIITOxdF357oNgPI0vmwp7UyMtpyfwoe48FNGVec&e= 
>>
>> This got fixed with change set 
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__review.openstack.org_-23_c_608768_&d=DwICaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=RxYkIjeLZPK2frXV_wEUCq8d3wvUIvDPimUcunMwbMs&m=_-mGtryix-GE-7_xbOpH7F0ZS4jQxE3RJZ72LghieKQ&s=16ZhumVOFprhADv1v553c2wwyMfG84cP0a9Z3VHaVuM&e= 
>> which is not a part of the tagged release.
>>
>> Want to know if we can have a new Cinder tag release to incorporate 
>> the new fixes.
> 
> [attempting to cross-post to openstack-discuss]
> 
> Cinder 13.x releases are OpenStack Rocky, and the upper-constraints for 
> Rocky [1] says oslo.messaging===8.1.2, so there should be no need to 
> backport this fix.
> 
> Are you trying to run the unit tests when you see this? When I run tox 
> on stable/rocky, it installs 8.1.2 as one of the dependencies, although, 
> to be honest, I'm really not sure how tox knows that that's the right 
> version.

Ahh, here's how it knows :-

$ grep install_command tox.ini
install_command = pip install 
-c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/rocky} 
{opts} {packages}
$

     ~iain



> Or are you trying to run Cinder from Rocky with newer oslo.messaging, 
> and getting the same symptom as the unit test failures in that bug, when 
> running the cinder services? If so, a) it's an unsupported combination 
> (I believe) and b) you'd (at least) need to update your configuration to 
> remove use of that deprecated rpc_backend option.
> 
>      ~iain
> 
> 
> [1] 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_openstack_requirements_blob_stable_rocky_upper-2Dconstraints.txt&d=DwICaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=RxYkIjeLZPK2frXV_wEUCq8d3wvUIvDPimUcunMwbMs&m=_-mGtryix-GE-7_xbOpH7F0ZS4jQxE3RJZ72LghieKQ&s=RyhzI0PUIxfPaQuJLH1iAf8Z4TjI1LWsI1DoUhBeYnc&e= 
> 
>